Class | TMail::MaildirPort
In: | lib/tmail/port.rb
Parent: | FilePort

### Methods

move_to_cur move_to_new

### Included Modules

MailFlags

### Constants

MAIL_FILE | = | /\A(\d+\.[\d_]+\.[^:]+)(?:\:(\d),(\w+)?)?\z/

### Public Instance methods

move_to_cur()

[Source]

    # File lib/tmail/port.rb, line 254
        def move_to_cur
          new = replace_dir(@filename, 'cur')
          File.rename @filename, new
          @filename = new
        end

move_to_new()

[Source]

    # File lib/tmail/port.rb, line 248
        def move_to_new
          new = replace_dir(@filename, 'new')
          File.rename @filename, new
          @filename = new
        end

[Validate]